--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -1432,271 +1359,1356 @@
 		1462 0402  RX300SE-TD128E (MS-8940)
 		174b 0500  Radeon X300 (PCIE)
 		196d 1086  X300SE HM
-	5b62  RV380 [Radeon X600 (PCIE)]
-	5b63  RV370 [Radeon X550]
-	5b64  RV370 5B64 [FireGL V3100 (PCIE)]
-	5b65  RV370 5B65 [FireGL D1100 (PCIE)]
+	5b62  RV370 [Radeon X600/X600 SE]
+	5b63  RV370 [Radeon X300/X550/X1050 Series]
+	5b64  RV370 GL [FireGL V3100]
+	5b65  RV370 GL [FireMV 2200]
 	5b66  RV370X
-	5b70  RV370 [Radeon X300SE]
-		1462 0403  RX300SE-TD128E (MS-8940) (secondary display)
-		174b 0501  Radeon X300SE
-		196d 1087  X300SE HM
-	5b72  RV380 [Radeon X600]
-	5b73  RV370 secondary [Sapphire X550 Silent]
-	5b74  RV370 5B64 [FireGL V3100 (PCIE)] (Secondary)
-	5b75  RV370 5B75 [FireGL D1100 (PCIE)] (Secondary)
-	5c61  M9+ 5C61 [Radeon Mobility 9200 (AGP)]
-	5c63  M9+ 5C63 [Radeon Mobility 9200 (AGP)]
+	5b70  RV370 [Radeon X300 SE]
+# RX300SE-TD128E
+		1462 0403  Radeon X300 SE 128MB DDR
+		174b 0501  Radeon X300 SE
+		196d 1087  Radeon X300 SE HyperMemory
+	5b72  RV380 [Radeon X300/X550/X1050 Series] (Secondary)
+	5b73  RV370 [Radeon X300/X550/X1050 Series] (Secondary)
+	5b74  RV370 GL [FireGL V3100] (Secondary)
+	5b75  RV370 GL [FireMV 2200] (Secondary)
+	5c61  RV280/M9+ [Mobility Radeon 9200 AGP]
+	5c63  RV280/M9+ [Mobility Radeon 9200 AGP]
 		1002 5c63  Apple iBook G4 2004
 		144d c00c  P30 notebook
 	5d44  RV280 [Radeon 9200 SE] (Secondary)
 		1458 4019  Radeon 9200 SE (Secondary)
 		1458 4032  Radeon 9200 SE 128MB
 		147b 6190  R9200SE-DT (Secondary)
-		174b 7c12  Sapphire Radeon 9200 SE (Secondary)
+		174b 7c12  Radeon 9200 SE (Secondary)
 		1787 5965  Excalibur 9200SE VIVO 128M (Secondary)
 		17af 2013  Radeon 9200 SE Excalibur (Secondary)
 		18bc 0171  Radeon 9200 SE 128MB Game Buster (Secondary)
 		18bc 0172  GC-R9200L(SE)-C3H [Radeon 9200 Game Buster]
-	5d45  RV280 [FireMV 2200 PCI] (secondary)
-	5d48  M28 [Radeon Mobility X800XT]
-	5d49  M28 [Mobility FireGL V5100]
-	5d4a  Mobility Radeon X800
-	5d4c  Radeon X850 (PCIE)
-	5d4d  R480 [Radeon X850XT Platinum (PCIE)]
-	5d4e  Radeon X850 SE (R480) (PCIE)
-	5d4f  R480 [Radeon X800 GTO (PCIE)]
-	5d50  R480 [FireGL V7200 (PCIE)]
-	5d51  R480 GL 12P
-	5d52  R480 [Radeon X850XT (PCIE)] (Primary)
+	5d45  RV280 GL [FireMV 2200 PCI] (Secondary)
+	5d48  R423/M28 [Mobility Radeon X800 XT]
+	5d49  R423/M28 GL [Mobility FireGL V5100]
+	5d4a  R423/M28 [Mobility Radeon X800]
+	5d4d  R480 [Radeon X850 XT Platinum Edition]
+	5d4e  R480 [Radeon X850 SE]
+	5d4f  R480 [Radeon X800 GTO]
+	5d50  R480 GL [FireGL V7200]
+	5d52  R480 [Radeon X850 XT]
 		1002 0b12  PowerColor X850XT PCIe (Primary)
+	5d57  R423 [Radeon X800 XT]
+	5d6d  R480 [Radeon X850 XT Platinum Edition] (Secondary)
+	5d6f  R480 [Radeon X800 GTO] (Secondary)
+	5d72  R480 [Radeon X850 XT] (Secondary)
 		1002 0b13  PowerColor X850XT PCIe (Secondary)
-	5d57  R423 5F57 [Radeon X800XT (PCIE)]
-	5d6d  R480 [Radeon X850XT Platinum (PCIE)] (Secondary)
-	5d6f  R480 [Radeon X800 GTO (PCIE)] (Secondary)
-	5d72  R480 [Radeon X850XT (PCIE)] (Secondary)
-	5d77  R423 5F57 [Radeon X800XT (PCIE)] (Secondary)
-	5e48  RV410 [FireGL V5000]
-	5e49  RV410 [FireGL V3300]
-	5e4a  RV410 [Radeon X700XT]
-	5e4b  RV410 [Radeon X700 Pro (PCIE)]
-	5e4c  RV410 [Radeon X700SE]
-	5e4d  RV410 [Radeon X700 (PCIE)]
-		148c 2116  PowerColor Bravo X700
+	5d77  R423 [Radeon X800 XT] (Secondary)
+	5e48  RV410 GL [FireGL V5000]
+	5e49  RV410 [Radeon X700 Series]
+	5e4a  RV410 [Radeon X700 XT]
+	5e4b  RV410 [Radeon X700 PRO]
+	5e4c  RV410 [Radeon X700 SE]
+	5e4d  RV410 [Radeon X700]
+		148c 2116  Bravo X700
 	5e4f  RV410 [Radeon X700]
-	5e6b  RV410 [Radeon X700 Pro (PCIE)] (Secondary)
-	5e6d  RV410 [Radeon X700 (PCIE)] (Secondary)
-		148c 2117  PowerColor Bravo X700
-	5f57  R423 [Radeon X800XT (PCIE)]
+		1569 1e4f  Radeon X550 XT
+	5e6b  RV410 [Radeon X700 PRO] (Secondary)
+	5e6d  RV410 [Radeon X700] (Secondary)
+		148c 2117  Bravo X700 (Secondary)
+	5f57  R423 [Radeon X800 XT]
+	6600  Mars [Radeon HD 8670A/8750M]
+	6601  Mars [Radeon HD 8730M]
+	6602  Mars
+	6603  Mars
+	6606  Mars XTX [Radeon HD 8790M]
+	6607  Mars LE [Radeon HD 8530M]
+	6610  Oland [Radeon HD 8600 Series]
+	6611  Oland [Radeon HD 8570]
+	6613  Oland [Radeon HD 8500 Series]
+	6620  Mars
+	6621  Mars PRO
+	6623  Mars
+	6631  Oland
+	6640  Saturn [Radeon HD 8950]
+	6641  Saturn PRO
+	6649  Bonaire
+	6650  Bonaire
+	6651  Bonaire
+	6658  Bonaire
+	665c  Bonaire XT [Radeon HD 7790/8770]
+		1043 0452  Radeon HD 7790 DirectCU II OC
+# R7790-1GD5/OC
+		1462 2930  Radeon HD 7790 OC
+		1462 2932  Radeon HD 8770
+# FX-779A-CDB4 / FX-779A-CDBC
+		1682 3310  Radeon HD 7790 Black Edition 2 GB
+# 100356OCL / 11210-01-20G
+		174b e253  Radeon HD 7790 Dual-X OC
+		1787 2329  Radeon HD 7790 TurboDuo
+	665d  Bonaire
+	6660  Sun XT [Radeon HD 8670A]
+	6663  Sun PRO [Radeon HD 8500M Series]
+	6664  Sun [Radeon R5 M200 Series]
+	6665  Sun [Radeon R5 M200 Series]
+	6667  Sun [Radeon R5 M200 Series]
+	666f  Sun [Radeon HD 8500M]
+	6670  Hainan
+	6704  Cayman PRO GL [FirePro V7900]
 	6707  Cayman LE GL [FirePro V5900]
 	6718  Cayman XT [Radeon HD 6970]
 	6719  Cayman PRO [Radeon HD 6950]
-	671d  Antilles [AMD Radeon HD 6990]
-	671f  Cayman [Radeon HD 6900 Series]
-	6720  Blackcomb [Radeon HD 6900M series]
-	6738  Barts XT [ATI Radeon HD 6800 Series]
-	6739  Barts PRO [ATI Radeon HD 6800 Series]
-	673e  Barts LE [AMD Radeon HD 6700 Series]
-	6740  Whistler XT [AMD Radeon HD 6700M Series]
-	6741  Whistler [AMD Radeon HD 6600M Series]
-	6742  Whistler LE [AMD Radeon HD 6625M Graphics]
+	671c  Antilles [Radeon HD 6990]
+	671d  Antilles [Radeon HD 6990]
+	671f  Cayman CE [Radeon HD 6930]
+	6720  Blackcomb [Radeon HD 6970M/6990M]
+		1028 048f  Radeon HD 6990M
+		1028 0490  Alienware M17x R3 Radeon HD 6970M
+		1028 04a4  FirePro M8900
+		1028 04ba  Radeon HD 6990M
+		1028 053f  FirePro M8900
+		106b 0b00  Radeon HD 6970M
+		1558 5102  Radeon HD 6970M
+		1558 5104  Radeon HD 6990M
+		1558 7201  Radeon HD 6990M
+		174b e188  Radeon HD 6970M
+	6724  Blackcomb [Mobility Radeon HD 6000 series]
+	6725  Blackcomb [Radeon HD 6900M Series]
+	6738  Barts XT [Radeon HD 6870]
+# HD-687A-ZDFC
+		1682 3103  Radeon HD 8670
+		1787 201a  Barts XT [Radeon HD 6870 X2]
+		1787 201b  Barts XT [Radeon HD 6870 X2]
+	6739  Barts PRO [Radeon HD 6850]
+		1043 03b4  EAH6850 [Radeon HD 6850]
+	673e  Barts LE [Radeon HD 6790]
+		148c 7720  Radeon HD 7720 OEM
+	6740  Whistler [Radeon HD 6730M/6770M/7690M XT]
+		1019 238c  Radeon HD 6730M
+		1019 238e  Radeon HD 6730M
+		1019 2391  Radeon HD 6730M
+		1019 2392  Radeon HD 6770M
+		1028 04a3  Precision M4600
+		1028 053e  FirePro M5950
+		103c 1630  FirePro M5950
+		103c 1631  FirePro M5950
+		103c 164b  Radeon HD 6730M
+		103c 164e  Radeon HD 6730M
+		103c 1657  Radeon HD 6770M
+		103c 1658  Radeon HD 6770M
+		103c 165a  Radeon HD 6770M
+		103c 165b  Radeon HD 6770M
+		103c 1688  Radeon HD 6770M
+		103c 1689  Radeon HD 6770M
+		103c 168a  Radeon HD 6770M
+		103c 185e  Radeon HD 7690M XT
+		103c 3388  Radeon HD 6770M
+		103c 3389  Radeon HD 6770M
+		103c 3582  Radeon HD 6770M
+		103c 366c  Radeon HD 6730M
+		1043 1d02  Radeon HD 6730M
+		1043 1d12  Radeon HD 6730M
+		104d 9084  Radeon HD 6730M
+		104d 9085  Radeon HD 6730M
+		144d b074  Radeon HD 6730M
+		144d b077  Radeon HD 6730M
+		144d b084  Radeon HD 6730M
+		144d b088  Radeon HD 6730M
+		17aa 3982  Radeon HD 6730M
+	6741  Whistler [Radeon HD 6630M/6650M/6750M/7670M/7690M]
+		1019 238e  Radeon HD 6650M
+		1019 238f  Radeon HD 6650M
+		1025 0379  Radeon HD 6650M
+		1025 037b  Radeon HD 6650M
+		1025 037e  Radeon HD 6650M
+		1025 0382  Radeon HD 6650M
+		1025 0384  Radeon HD 6650M
+		1025 0385  Radeon HD 6650M
+		1025 0386  Radeon HD 6650M
+		1025 0387  Radeon HD 6650M
+		1025 0388  Radeon HD 6650M
+		1025 0442  Radeon HD 6650M
+		1025 0451  Radeon HD 6650M
+		1025 0489  Radeon HD 6650M
+		1025 048b  Radeon HD 6650M
+		1025 048c  Radeon HD 6650M
+		1025 050a  Radeon HD 6650M
+		1025 050b  Radeon HD 6650M
+		1025 050c  Radeon HD 6650M
+		1025 050e  Radeon HD 6650M
+		1025 050f  Radeon HD 6650M
+		1025 0513  Radeon HD 6650M
+		1025 0514  Radeon HD 6650M
+		1025 0515  Radeon HD 6650M
+		1025 0516  Radeon HD 6650M
+		1025 051e  Radeon HD 6650M
+		1025 051f  Radeon HD 6650M
+		1025 0520  Radeon HD 6650M
+		1025 0521  Radeon HD 6650M
+		1025 052a  Radeon HD 6650M
+		1025 0555  Radeon HD 6650M
+		1025 0556  Radeon HD 6650M
+		1025 055d  Radeon HD 6650M
+		1025 055e  Radeon HD 6650M
+		1025 056d  Radeon HD 6650M
+		1025 059a  Radeon HD 6650M
+		1025 059b  Radeon HD 6650M
+		1025 059e  Radeon HD 6650M
+		1025 059f  Radeon HD 6650M
+		1025 0600  Radeon HD 6650M
+		1025 0605  Radeon HD 6650M
+		1025 0606  Radeon HD 6650M
+		1025 0619  Radeon HD 6650M
+		1028 04c1  Radeon HD 6630M
+		1028 04c5  Radeon HD 6630M
+		1028 04cd  Radeon HD 6630M
+		1028 04d7  Radeon HD 6630M
+		1028 04d9  Radeon HD 6630M
+		1028 052d  Radeon HD 6630M
+		103c 1617  Radeon HD 6650M
+		103c 1646  Radeon HD 6750M
+		103c 1647  Radeon HD 6650M
+		103c 164b  Radeon HD 6650M
+		103c 164e  Radeon HD 6650M
+		103c 1688  Radeon HD 6750M
+		103c 1689  Radeon HD 6750M
+		103c 168a  Radeon HD 6750M
+		103c 1860  Radeon HD 7690M
+		103c 3385  Radeon HD 6630M
+		103c 3560  Radeon HD 6750M
+		103c 358d  Radeon HD 6750M
+		103c 3590  Radeon HD 6750M
+		103c 3593  Radeon HD 6750M
+		103c 366c  Radeon HD 6650M
+		1043 1cd2  Radeon HD 6650M
+		1043 2121  Radeon HD 6650M
+		1043 2122  Radeon HD 6650M
+		1043 2123  Radeon HD 6650M
+		1043 2125  Radeon HD 7670M
+		1043 2127  Radeon HD 7670M
+		104d 907b  Radeon HD 6630M
+		104d 9080  Radeon HD 6630M
+		104d 9081  Radeon HD 6630M
+		106b 00e2  MacBookPro8,2 [Core i7, 15", Late 2011]
+		1179 fd63  Radeon HD 6630M
+		1179 fd65  Radeon HD 6630M
+		144d c093  Radeon HD 6650M
+		144d c0ac  Radeon HD 6650M
+		144d c0b3  Radeon HD 6750M
+		144d c539  Radeon HD 6630M
+		144d c609  Radeon HD 6630M
+		152d 0914  Radeon HD 6650M
+		17aa 21e1  Radeon HD 6630M
+		17aa 3970  Radeon HD 6650M
+		17aa 3976  Radeon HD 6650M
+		1854 0907  Radeon HD 6650M
+	6742  Whistler LE [Radeon HD 6610M/7610M]
+		1002 6570  Turks [Radeon HD 6570]
+		1019 2393  Radeon HD 6610M
+		1043 1d82  K53SK Laptop Radeon HD 7610M
+		1179 fb22  Radeon HD 7610M
+		1179 fb23  Radeon HD 7610M
+		1179 fb27  Radeon HD 7610M
+		1179 fb2a  Radeon HD 7610M
+		1179 fb2c  Radeon HD 7610M
+		1179 fb30  Radeon HD 7610M
+		1179 fb31  Radeon HD 7610M
+		1179 fb32  Radeon HD 7610M
+		1179 fb38  Radeon HD 7610M
+		1179 fb39  Radeon HD 7610M
+		1179 fb3a  Radeon HD 7610M
+		1179 fb3b  Radeon HD 7610M
+		1179 fb40  Radeon HD 7610M
+		1179 fb41  Radeon HD 7610M
+		1179 fb47  Radeon HD 7610M
+		1179 fb48  Radeon HD 7610M
+		1179 fb49  Radeon HD 7610M
+		1179 fb51  Radeon HD 7610M
+		1179 fb52  Radeon HD 7610M
+		1179 fb53  Radeon HD 7610M
+		1179 fb56  Radeon HD 7610M
+		1179 fb81  Radeon HD 7610M
+		1179 fb82  Radeon HD 7610M
+		1179 fb83  Radeon HD 7610M
+		1179 fc56  Radeon HD 7610M
+		1179 fcd4  Radeon HD 7610M
+		1179 fcee  Radeon HD 7610M
+		1458 6570  Turks [Radeon HD 6570]
+		1462 6570  Turks [Radeon HD 6570]
+		148c 6570  Turks [Radeon HD 6570]
+		1682 6570  Turks [Radeon HD 6570]
+		174b 6570  Turks [Radeon HD 6570]
+		1787 6570  Turks [Radeon HD 6570]
+		17af 6570  Turks [Radeon HD 6570]
+		8086 2111  Radeon HD 6625M
 	6743  Whistler [Radeon E6760]
-	6749  Turks [FirePro V4900]
-	6750  Turks [AMD Radeon HD 6570]
-	6751  Turks [Radeon HD 7600A Series]
-	6758  Turks [Radeon HD 6670]
-	6759  Turks [Radeon HD 6570]
-	675d  Turks [Radeon HD 7500 Series]
-	6760  Seymour [Radeon HD 6400M Series]
+	6749  Turks GL [FirePro V4900]
+	674a  Turks GL [FirePro V3900]
+	6750  Onega [Radeon HD 6650A/7650A]
+		1462 2670  Radeon HD 6670A
+		17aa 3079  Radeon HD 7650A
+		17aa 307a  Radeon HD 6650A
+		17aa 3087  Radeon HD 7650A
+		17aa 3618  Radeon HD 6650A
+		17aa 3623  Radeon HD 6650A
+		17aa 3627  Radeon HD 6650A
+	6751  Turks [Radeon HD 7650A/7670A]
+		1028 0548  Radeon HD 7650A
+		1462 2671  Radeon HD 7670A
+		1462 2672  Radeon HD 7670A
+		1462 2680  Radeon HD 7650A
+		1462 2681  Radeon HD 7650A
+		17aa 3087  Radeon HD 7650A
+	6758  Turks XT [Radeon HD 6670/7670]
+		1028 0b0e  Radeon HD 6670
+		103c 6882  Radeon HD 6670
+		1462 250a  Radeon HD 7670
+		148c 7670  Radeon HD 7670
+		1545 7670  Radeon HD 7670
+		1682 3300  Radeon HD 7670
+		174b 7670  Radeon HD 7670
+		174b e181  Radeon HD 6670
+	6759  Turks PRO [Radeon HD 6570/7570]
+		103c 3130  Radeon HD 6570
+		1462 2500  Radeon HD 6570
+		1462 2509  Radeon HD 7570
+		148c 7570  Radeon HD 7570
+		1642 3a67  Radeon HD 6570
+		1682 3280  Radeon HD 7570
+		174b 7570  Radeon HD 7570
+		174b e142  Radeon HD 6570
+		174b e181  Radeon HD 6570
+		1b0a 908f  Radeon HD 6570
+		1b0a 9090  Radeon HD 6570
+		1b0a 9091  Radeon HD 6570
+		1b0a 9092  Radeon HD 6570
+		1b0a 909e  Radeon HD 6570
+		1b0a 90b5  Radeon HD 7570
+		1b0a 90b6  Radeon HD 7570
+	675d  Turks PRO [Radeon HD 7570]
+	675f  Turks LE [Radeon HD 5570/6510/7510/8510]
+		148c 6510  Radeon HD 6510
+		148c 6530  Radeon HD 6530
+		148c 7510  Radeon HD 7510
+		1545 7570  Radeon HD 7570
+		174b 6510  Radeon HD 6510
+		174b 7510  Radeon HD 7510
+		174b 8510  Radeon HD 8510
+		1787 2012  Radeon HD 5570 2GB GDDR3
+		1787 2314  Radeon HD 5570 1GB DDR2/GDDR3
+	6760  Seymour [Radeon HD 6400M/7400M Series]
+		1002 0124  Radeon HD 6470M
+		1002 0134  Radeon HD 6470M
+		1019 238b  Radeon HD 6470M
+		1019 238e  Radeon HD 6470M
+		1019 2390  Radeon HD 6470M
+		1019 9985  Radeon HD 6470M
+		1028 04c1  Radeon HD 6470M
+		1028 04c3  Radeon HD 6470M
+		1028 04ca  Radeon HD 6470M
+		1028 04cb  Radeon HD 6470M
 		1028 04cc  Vostro 3350
+		1028 04d1  Radeon HD 6470M
+		1028 04d3  Radeon HD 6470M
+		1028 04d7  Radeon HD 6470M
+		1028 0502  Radeon HD 6470M
+		1028 0503  Radeon HD 6470M
+		1028 0506  Radeon HD 6470M
+		1028 0507  Radeon HD 6470M
+		1028 0514  Radeon HD 6470M
+		1028 051c  Radeon HD 6450M
+		1028 051d  Radeon HD 6450M
+		103c 161a  Radeon HD 6470M
+		103c 161b  Radeon HD 6470M
+		103c 161e  Radeon HD 6470M
+		103c 161f  Radeon HD 6470M
+		103c 1622  Radeon HD 6450M
+		103c 1623  Radeon HD 6450M
+		103c 164a  Radeon HD 6470M
+		103c 164d  Radeon HD 6470M
+		103c 1651  Radeon HD 6470M
+		103c 1656  Radeon HD 6490M
+		103c 1658  Radeon HD 6490M
+		103c 1659  Radeon HD 6490M
+		103c 165b  Radeon HD 6490M
+		103c 165d  Radeon HD 6470M
+		103c 165f  Radeon HD 6470M
+		103c 1661  Radeon HD 6470M
+		103c 1663  Radeon HD 6470M
+		103c 1665  Radeon HD 6470M
+		103c 1667  Radeon HD 6470M
+		103c 1669  Radeon HD 6470M
+		103c 166b  Radeon HD 6470M
+		103c 166c  Radeon HD 6470M
+		103c 166e  Radeon HD 6470M
+		103c 1670  Radeon HD 6470M
+		103c 1672  Radeon HD 6470M
+		103c 167a  Radeon HD 6470M
+		103c 167b  Radeon HD 6470M
+		103c 167d  Radeon HD 6490M
+		103c 167f  Radeon HD 6490M
+		103c 168c  Radeon HD 6470M
+		103c 168f  Radeon HD 6470M
+		103c 1694  Radeon HD 6470M
+		103c 1696  Radeon HD 6470M
+		103c 1698  Radeon HD 6470M
+		103c 169a  Radeon HD 6470M
+		103c 169c  Radeon HD 6490M
+		103c 1855  Radeon HD 7450M
+		103c 1859  Radeon HD 7450M
+		103c 185c  Radeon HD 7450M
+		103c 185d  Radeon HD 7470M
+		103c 185f  Radeon HD 7470M
+		103c 1863  Radeon HD 7450M
+		103c 355c  Radeon HD 6490M
+		103c 355f  Radeon HD 6490M
+		103c 3563  Radeon HD 6470M
+		103c 3565  Radeon HD 6470M
+		103c 3567  Radeon HD 6470M
+		103c 3569  Radeon HD 6470M
+		103c 3581  Radeon HD 6490M
+		103c 3584  Radeon HD 6470M
+		103c 358c  Radeon HD 6490M
+		103c 358f  Radeon HD 6490M
+		103c 3592  Radeon HD 6490M
+		103c 3596  Radeon HD 6490M
+		103c 366b  Radeon HD 6470M
+		103c 3671  FirePro M3900
+		103c 3673  Radeon HD 6470M
+		1043 100a  Radeon HD 7470M
+		1043 100c  Radeon HD 6470M
+		1043 101b  Radeon HD 6470M
+		1043 101c  Radeon HD 6470M
+		1043 102a  Radeon HD 7450M
+		1043 102c  Radeon HD 6470M
+		1043 104b  Radeon HD 7470M
+		1043 105d  Radeon HD 7470M
+		1043 106b  Radeon HD 7470M
+		1043 106d  Radeon HD 7470M
+		1043 107d  Radeon HD 7470M
+		1043 1cb2  Radeon HD 6470M
+		1043 1d22  Radeon HD 6470M
+		1043 1d32  Radeon HD 6470M
+		1043 2001  Radeon HD 6470M
+		1043 2002  Radeon HD 7470M
+		1043 2107  Radeon HD 7470M
+		1043 2108  Radeon HD 7470M
+		1043 2109  Radeon HD 7470M
+		1043 84a0  Radeon HD 6470M
+		1043 84e9  Radeon HD 6470M
+		1043 8515  Radeon HD 7470M
+		1043 8517  Radeon HD 7470M
+		1043 855a  Radeon HD 7470M
+		104d 907b  Radeon HD 6470M
+		104d 9081  Radeon HD 6470M
+		104d 9084  Radeon HD 6470M
+		104d 9085  Radeon HD 6470M
+		1179 0001  Radeon HD 6450M
+		1179 0003  Radeon HD 6450M
+		1179 0004  Radeon HD 6450M
+		1179 fb22  Radeon HD 7470M
+		1179 fb23  Radeon HD 7470M
+		1179 fb2c  Radeon HD 7470M
+		1179 fb31  Radeon HD 7470M
+		1179 fb32  Radeon HD 7470M
+		1179 fb33  Radeon HD 7470M
+		1179 fb38  Radeon HD 7470M
+		1179 fb39  Radeon HD 7470M
+		1179 fb3a  Radeon HD 7470M
+		1179 fb40  Radeon HD 7470M
+		1179 fb41  Radeon HD 7470M
+		1179 fb42  Radeon HD 7470M
+		1179 fb47  Radeon HD 7470M
+		1179 fb48  Radeon HD 7470M
+		1179 fb51  Radeon HD 7470M
+		1179 fb52  Radeon HD 7470M
+		1179 fb53  Radeon HD 7470M
+		1179 fb81  Radeon HD 7470M
+		1179 fb82  Radeon HD 7470M
+		1179 fb83  Radeon HD 7470M
+		1179 fc51  Radeon HD 6470M
+		1179 fc52  Radeon HD 7470M
+		1179 fc56  Radeon HD 7470M
+		1179 fcd3  Radeon HD 7470M
+		1179 fcd4  Radeon HD 7470M
+		1179 fcee  Radeon HD 7470M
+		1179 fdee  Radeon HD 7470M
+		144d b074  Radeon HD 6470M
+		144d b084  Radeon HD 6470M
+		144d c095  Radeon HD 6470M
+		144d c0b3  Radeon HD 6490M
+		144d c538  Radeon HD 6470M
+		144d c581  Radeon HD 6470M
+		144d c589  Radeon HD 6470M
+		144d c609  Radeon HD 7470M
+		144d c625  Radeon HD 7470M
+		144d c636  Radeon HD 7450M
+		1462 10ac  Radeon HD 6470M
+		152d 0916  Radeon HD 6470M
+		17aa 21e5  Radeon HD 6470M
+		17aa 3900  Radeon HD 7450M
+		17aa 3902  Radeon HD 7450M
+		17aa 3969  Radeon HD 6470M
+		17aa 3970  Radeon HD 7450M
+		17aa 3976  Radeon HD 6470M
+		17aa 397b  Radeon HD 6470M
+		17aa 397d  Radeon HD 6470M
+		17aa 5101  Radeon HD 7470M
+		17aa 5102  Radeon HD 7450M
+		17aa 5103  Radeon HD 7450M
+		17aa 5106  Radeon HD 7450M
+		1854 0897  Radeon HD 6470M
+		1854 0900  Radeon HD 6470M
+		1854 0908  Radeon HD 6470M
+		1854 2015  Radeon HD 6470M
 	6761  Seymour LP [Radeon HD 6430M]
 	6763  Seymour [Radeon E6460]
-	6770  Caicos [Radeon HD 6400 Series]
-	6772  Caicos [Radeon HD 7400A Series]
-	6778  Caicos [Radeon HD 7000 Series]
-	6779  Caicos [Radeon HD 6450]
-		174b e164  Sapphire HD 6450 1GB DDR3
-	677b  Caicos [Radeon HD 7400 Series]
+	6764  Seymour [Radeon HD 6400M Series]
+	6765  Seymour [Radeon HD 6400M Series]
+	6766  Caicos
+	6767  Caicos
+	6768  Caicos
+	6770  Caicos [Radeon HD 6450A/7450A]
+		17aa 308d  Radeon HD 7450A
+		17aa 3623  Radeon HD 6450A
+		17aa 3627  Radeon HD 6450A
+		17aa 3629  Radeon HD 6450A
+		17aa 363c  Radeon HD 6450A
+		17aa 3658  Radeon HD 7470A
+	6771  Caicos XTX [Radeon HD 8490]
+	6772  Caicos [Radeon HD 7450A]
+	6778  Caicos XT [Radeon HD 7470/8470]
+		1019 0024  Radeon HD 7470
+		1019 0027  Radeon HD 8470
+		1028 2120  Radeon HD 7470
+		1462 b491  Radeon HD 8470
+		1462 b492  Radeon HD 8470
+		1462 b493  Radeon HD 8470 OEM
+		1642 3c65  Radeon HD 8470
+		1642 3c75  Radeon HD 8470
+		174b 8145  Radeon HD 8470
+		174b e145  Radeon HD 7470
+	6779  Caicos [Radeon HD 6450/7450/8450]
+		1019 0016  Radeon HD 6450
+		1019 0017  Radeon HD 6450
+		1019 0018  Radeon HD 6450
+		1028 2120  Radeon HD 6450
+		103c 2128  Radeon HD 6450
+		103c 2aee  Radeon HD 7450A
+		1462 2346  Radeon HD 7450
+		1462 2490  Radeon HD 6450
+		1462 2494  Radeon HD 6450
+		1462 2496  Radeon HD 7450
+		148c 7450  Radeon HD 7450
+		148c 8450  Radeon HD 8450 OEM
+		1545 7470  Radeon HD 7470
+		1642 3a65  Radeon HD 6450
+		1642 3a66  Radeon HD 7450
+		1642 3a75  Radeon HD 6450
+		1642 3a76  Radeon HD 7450
+		1682 3200  Radeon HD 7450
+		174b 7450  Radeon HD 7450
+		174b e127  Radeon HD 6450
+		174b e153  Radeon HD 6450
+		174b e164  Radeon HD 6450 1 GB DDR3
+		174b e180  Radeon HD 6450
+		174b e201  Radeon HD 6450
+		17af 8450  Radeon HD 8450 OEM
+		1b0a 9096  Radeon HD 6450
+		1b0a 9097  Radeon HD 6450
+		1b0a 90a8  Radeon HD 6450A
+		1b0a 90b1  Radeon HD 6450
+		1b0a 90b3  Radeon HD 7450A
+		1b0a 90bb  Radeon HD 7450A
+	677b  Caicos PRO [Radeon HD 7450]
+	6780  Tahiti XT GL [FirePro W9000]
+	6784  Tahiti [ATI FirePro V (FireGL V) Graphics Adapter]
+	6788  Tahiti [ATI FirePro V (FireGL V) Graphics Adapter]
+	678a  Tahiti PRO GL [FirePro Series]
+		1002 030c  FirePro W8000
+		1002 0310  FirePro S9000
+		1002 0b2a  FirePro S10000
+		1028 030c  FirePro W8000
+	6790  Tahiti
+	6791  Tahiti
+	6792  Tahiti
 	6798  Tahiti XT [Radeon HD 7970]
-	6799  New Zealand [Radeon HD 7990]
+		1002 3000  Tahiti XT2 [Radeon HD 7970 GHz Edition]
+		1002 4000  Radeon HD 8970 OEM
+		1043 041c  HD 7970 DirectCU II
+		1043 0420  HD 7970 DirectCU II TOP
+		1043 0444  HD 7970 DirectCU II TOP
+		1043 0448  HD 7970 DirectCU II TOP
+		1043 044a  Tahiti XT2 [Matrix HD 7970]
+		1043 044c  Tahiti XT2 [Matrix HD 7970 Platinum]
+		1043 9999  ARES II
+		1092 3000  Tahiti XT2 [Radeon HD 7970 GHz Edition]
+		1458 2261  Tahiti XT2 [Radeon HD 7970 GHz Edition OC]
+		1682 3211  Double D HD 7970 Black Edition
+# FX-797A-TNBC
+		1682 3213  HD 7970 Black Edition
+		1682 3214  Double D HD 7970
+		1787 201c  HD 7970 IceQ X²
+# Radeon HD 7970 X2
+		1787 2317  Radeon HD 7990
+		1787 3000  Tahiti XT2 [Radeon HD 7970 GHz Edition]
+	6799  New Zealand [Radeon HD 7900 Series]
 	679a  Tahiti PRO [Radeon HD 7950]
-	6800  WIMBLEDON XT [Radeon HD 7970M]
-	6818  PITCAIRN [Radeon HD 7800]
-	6819  PITCAIRN PRO [Radeon HD 7800 Series]
-	683f  Cape Verde PRO [Radeon HD 7700 Series]
-	6840  Thames XT/GL [Radeon HD 7600M Series]
-	6841  Thames [Radeon 7500M/7600M Series]
+		1002 0b01  Radeon HD 8950 OEM
+		1002 3000  Tahiti PRO2 [Radeon HD 7950 Boost]
+		1462 3000  Radeon HD 8950 OEM
+	679b  Malta [Radeon HD 7990]
+		1002 0b28  Radeon HD 8990 OEM
+		1002 0b2a  Radeon HD 7990
+		1462 8036  Radeon HD 8990 OEM
+	679e  Tahiti LE [Radeon HD 7870 XT]
+	679f  Tahiti
+	67a0  Hawaii XT GL
+	67a1  Hawaii GL
+	67a2  Hawaii GL
+	67b0  Hawaii XT [Radeon HD 8970]
+	67b1  Hawaii PRO
+	67b9  Vesuvius
+	67be  Hawaii LE
+	6800  Wimbledon XT [Radeon HD 7970M]
+		1002 0124  Radeon HD 7970M
+		8086 2110  Radeon HD 7970M
+		8086 2111  Radeon HD 7970M
+	6801  Neptune [Radeon HD 8970M]
+		1002 0124  Radeon HD 8970M
+		8086 2110  Radeon HD 8970M
+		8086 2111  Radeon HD 8970M
+	6802  Wimbledon
+	6806  Neptune
+	6808  Pitcairn XT GL [FirePro W7000]
+		1002 0310  FirePro S7000
+	6809  Pitcairn LE GL [FirePro W5000]
+	6810  Pitcairn
+	6811  Pitcairn
+	6816  Pitcairn
+	6817  Pitcairn
+	6818  Pitcairn XT [Radeon HD 7870 GHz Edition]
+		1002 0b05  Radeon HD 8870 OEM
+		174b 8b04  Radeon HD 8860
+	6819  Pitcairn PRO [Radeon HD 7850]
+		174b e221  Radeon HD 7850 2GB GDDR5 DVI-I/DVI-D/HDMI/DP
+	6820  Venus XTX [Radeon HD 8800M Series]
+		103c 1851  Radeon HD 7750M
+	6821  Venus XT [Radeon HD 8800M Series]
+	6822  Venus PRO
+	6823  Venus PRO [Radeon HD 8800M Series]
+	6825  Heathrow XT [Radeon HD 7870M]
+		8086 2111  Chelsea PRO
+	6826  Chelsea LP [Radeon HD 7700M Series]
+	6827  Heathrow PRO [Radeon HD 7850M/8850M]
+	6828  Cape Verde PRO [FirePro W600]
+	6829  Cape Verde
+	682a  Venus PRO
+	682b  Venus LE [Radeon HD 8800M Series]
+	682d  Chelsea XT GL [FirePro M4000]
+	682f  Chelsea LP [Radeon HD 7730M]
+		103c 1851  Radeon HD 7750M
+	6830  Cape Verde [Radeon HD 7800M Series]
+	6831  Cape Verde [AMD Radeon HD 7700M Series]
+	6835  Cape Verde PRX
+	6837  Cape Verde LE [Radeon HD 7730]
+		1787 3000  Radeon HD 6570
+	6838  Cape Verde
+	6839  Cape Verde
+	683b  Cape Verde [Radeon HD 7700 Series]
+	683d  Cape Verde XT [Radeon HD 7770 GHz Edition]
+		1002 0030  Radeon HD 8760 OEM
+		1019 0030  Radeon HD 8760 OEM
+		103c 6890  Radeon HD 8760 OEM
+	683f  Cape Verde PRO [Radeon HD 7750]
+	6840  Thames [Radeon HD 7500M/7600M Series]
+		1025 050e  Radeon HD 7670M
+		1025 050f  Radeon HD 7670M
+		1025 0513  Radeon HD 7670M
+		1025 0514  Radeon HD 7670M
+		1025 056d  Radeon HD 7670M
+		1025 059a  Radeon HD 7670M
+		1025 059b  Radeon HD 7670M
+		1025 059e  Radeon HD 7670M
+		1025 0600  Radeon HD 7670M
+		1025 0606  Radeon HD 7670M
+		1025 0696  Radeon HD 7650M
+		1025 0697  Radeon HD 7650M
+		1025 0698  Radeon HD 7650M
+		1025 0699  Radeon HD 7650M
+		1025 0757  Radeon HD 7670M
+		1028 056a  Radeon HD 7670M
+		1028 056e  Radeon HD 7670M
+		1028 0598  Radeon HD 7670M
+		1028 059d  Radeon HD 7670M
+		1028 05a3  Radeon HD 7670M
+		1028 05b9  Radeon HD 7670M
+		1028 05bb  Radeon HD 7670M
+		103c 17f1  Radeon HD 7570M
+		103c 17f4  Radeon HD 7650M
+		103c 1813  Radeon HD 7590M
+		103c 182f  Radeon HD 7670M
+		103c 1830  Radeon HD 7670M
+		103c 1835  Radeon HD 7670M
+		103c 183a  Radeon HD 7670M
+		103c 183c  Radeon HD 7670M
+		103c 183e  Radeon HD 7670M
+		103c 1840  Radeon HD 7670M
+		103c 1842  Radeon HD 7670M
+		103c 1844  Radeon HD 7670M
+		103c 1848  Radeon HD 7670M
+		103c 184a  Radeon HD 7670M
+		103c 184c  Radeon HD 7670M
+		103c 1895  Radeon HD 7670M
+		103c 1897  Radeon HD 7670M
+		103c 18a5  Radeon HD 7670M
+		103c 18a7  Radeon HD 7670M
+		103c 18f4  Radeon HD 7670M
+		1043 100a  Radeon HD 7670M
+		1043 104b  Radeon HD 7670M
+		1043 10dc  Radeon HD 7670M
+		1043 2121  Radeon HD 7670M
+		1043 2122  Radeon HD 7670M
+		1043 2123  Radeon HD 7670M
+		1043 2125  Radeon HD 7670M
+		1043 2127  Radeon HD 7670M
+		1179 fb11  Radeon HD 7670M
+		1179 fb22  Radeon HD 7670M
+		1179 fb23  Radeon HD 7670M
+		1179 fb2c  Radeon HD 7670M
+		1179 fb31  Radeon HD 7670M
+		1179 fb32  Radeon HD 7670M
+		1179 fb38  Radeon HD 7670M
+		1179 fb39  Radeon HD 7670M
+		1179 fb3a  Radeon HD 7670M
+		1179 fb40  Radeon HD 7670M
+		1179 fb41  Radeon HD 7670M
+		1179 fb47  Radeon HD 7670M
+		1179 fb48  Radeon HD 7670M
+		1179 fb51  Radeon HD 7670M
+		1179 fb52  Radeon HD 7670M
+		1179 fb53  Radeon HD 7670M
+		1179 fb81  Radeon HD 7670M
+		1179 fb82  Radeon HD 7670M
+		1179 fb83  Radeon HD 7670M
+		1179 fc56  Radeon HD 7670M
+		1179 fcd4  Radeon HD 7670M
+		1179 fcee  Radeon HD 7670M
+		144d c0c5  Radeon HD 7690M
+		144d c0ce  Radeon HD 7670M
+		144d c0da  Radeon HD 7670M
+		17aa 3970  Radeon HD 7670M
+		17aa 397b  Radeon HD 7670M
+		17aa 5101  Radeon HD 7670M
+		17aa 5102  Radeon HD 7670M
+		17aa 5103  Radeon HD 7670M
+	6841  Thames [Radeon 7550M/7570M/7650M]
+		1028 0561  Radeon HD 7650M
+		1028 056c  Radeon HD 7650M
+		1028 057f  Radeon HD 7570M
+		103c 17f1  Radeon HD 7570M
+		103c 17f4  Radeon HD 7650M
+		103c 1813  Radeon HD 7570M
+		103c 183a  Radeon HD 7650M
+		103c 183c  Radeon HD 7650M
+		103c 183e  Radeon HD 7650M
+		103c 1840  Radeon HD 7650M
+		103c 1842  Radeon HD 7650M
+		103c 1844  Radeon HD 7650M
+		1043 100a  Radeon HD 7650M
+		1043 104b  Radeon HD 7650M
+		1043 10dc  Radeon HD 7650M
+		1043 2134  Radeon HD 7650M
+		1179 0001  Radeon HD 7570M
+		1179 0002  Radeon HD 7570M
+		1179 fb43  Radeon HD 7550M
+		1179 fb91  Radeon HD 7550M
+		1179 fb92  Radeon HD 7550M
+		1179 fb93  Radeon HD 7550M
+		1179 fba2  Radeon HD 7550M
+		1179 fba3  Radeon HD 7550M
+		144d c0c7  Radeon HD 7550M
+	6842  Thames LE [Radeon HD 7000M Series]
 	6843  Thames [Radeon HD 7670M]
-	6850  Lombok GL AIO [Radeon HD 7570]
-	6858  Lombok [Radeon HD 7400 series]
-	6889  Cypress [FirePro V7800]
-	688c  Cypress [AMD FireStream 9370]
-	688d  Cypress [AMD FireStream 9350]
+	6888  Cypress XT [FirePro V8800]
+	6889  Cypress PRO [FirePro V7800]
+		1002 0301  FirePro V7800P
+	688a  Cypress XT [FirePro V9800]
+		1002 030c  FirePro V9800P
+	688c  Cypress XT GL [FireStream 9370]
+	688d  Cypress PRO GL [FireStream 9350]
 	6898  Cypress XT [Radeon HD 5870]
-		1462 8032  R5870 PM2D1G
-	6899  Cypress [Radeon HD 5800 Series]
-	689b  Cypress [Radeon HD 6800 Series]
-	689c  Hemlock [Radeon HD 5900 Series]
-	689e  Cypress LE [Radeon HD 5800 Series]
-	68a0  Broadway XT [Mobility Radeon HD 5800 Series]
-		103c 1520  Broadway XT [FirePro M7820]
-	68a1  Broadway PRO [Mobility Radeon HD 5800 Series]
-	68a8  Broadway [ATI Mobility Radeon HD 6800 Series]
-	68a9  Juniper XT [FirePro 3D V5800]
-	68b8  Juniper [Radeon HD 5700 Series]
-	68b9  Juniper [Radeon HD 5600/5700]
-	68ba  Juniper XT [AMD Radeon HD 6000 Series]
-	68be  Juniper [Radeon HD 5700 Series]
-	68bf  Juniper LE [Radeon HD 6700 Series]
-	68c0  Madison [Mobility Radeon HD 5000 Series]
+		1002 0b00  Radeon HD 5870 Eyefinity⁶ Edition
+		106b 00d0  Radeon HD 5870 Mac Edition
+# R5870-PM2D1G
+		1462 8032  Radeon HD 5870 1 GB GDDR5
+		174b 6870  Radeon HD 6870 1600SP Edition
+	6899  Cypress PRO [Radeon HD 5850]
+# EAH5850
+		1043 0330  Radeon HD 5850
+		174b 237b  Radeon HD 5850 X2
+		174b 6850  Radeon HD 6850 1440SP Edition
+	689b  Cypress PRO [Radeon HD 6800 Series]
+	689c  Hemlock [Radeon HD 5970]
+		1043 0352  ARES
+	689d  Hemlock [Radeon HD 5970]
+	689e  Cypress LE [Radeon HD 5830]
+	68a0  Broadway XT [Mobility Radeon HD 5870]
+		1028 12ef  FirePro M7820
+		103c 1520  FirePro M7820
+	68a1  Broadway PRO [Mobility Radeon HD 5850]
+		106b 00cc  iMac MC511 Mobility Radeon HD 5850 MXM Module
+	68a8  Granville [Radeon HD 6850M/6870M]
+		1025 0442  Radeon HD 6850M
+		1025 0451  Radeon HD 6850M
+		1025 050a  Radeon HD 6850M
+		1025 050b  Radeon HD 6850M
+		1025 050c  Radeon HD 6850M
+		1025 050e  Radeon HD 6850M
+		1025 050f  Radeon HD 6850M
+		1025 0513  Radeon HD 6850M
+		1025 0514  Radeon HD 6850M
+		1025 0515  Radeon HD 6850M
+		1025 0516  Radeon HD 6850M
+		1025 0525  Radeon HD 6850M
+		1025 0526  Radeon HD 6850M
+		1025 056d  Radeon HD 6850M
+		1028 048f  Radeon HD 6870M
+		1028 0490  Radeon HD 6870M
+		1028 04b9  Radeon HD 6870M
+		1028 04ba  Radeon HD 6870M
+		103c 159b  Radeon HD 6850M
+		144d c0ad  Radeon HD 6850M
+	68a9  Juniper XT [FirePro V5800]
+	68b8  Juniper XT [Radeon HD 5770]
+		106b 00cf  MacPro5,1 [Mac Pro 2.8GHz DDR3]
+	68b9  Juniper LE [Radeon HD 5670 640SP Edition]
+	68ba  Juniper XT [Radeon HD 6770]
+	68be  Juniper PRO [Radeon HD 5750]
+		148c 3000  Radeon HD 6750
+	68bf  Juniper PRO [Radeon HD 6750]
+		174b 6750  Radeon HD 6750
+	68c0  Madison [Mobility Radeon HD 5730 / 6570M]
+		1019 2383  Mobility Radeon HD 5730
+		1028 02a2  Mobility Radeon HD 5730
+		1028 02fe  Mobility Radeon HD 5730
+		1028 0419  Mobility Radeon HD 5730
+		103c 147d  Mobility Radeon HD 5730
 		103c 1521  Madison XT [FirePro M5800]
-	68c1  Madison [Radeon HD 5000M Series]
+		103c 1593  Mobility Radeon HD 6570
+		103c 1596  Mobility Radeon HD 6570
+		103c 1599  Mobility Radeon HD 6570
+		1043 1c22  Mobility Radeon HD 5730
+		17aa 3927  Mobility Radeon HD 5730
+		17aa 3952  Mobility Radeon HD 5730
+		17aa 3978  Radeon HD 6570M
+	68c1  Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M]
+		1025 0205  Mobility Radeon HD 5650
+		1025 0293  Mobility Radeon HD 5650
+		1025 0294  Mobility Radeon HD 5650
+		1025 0296  Mobility Radeon HD 5650
+		1025 0308  Mobility Radeon HD 5650
+		1025 030a  Mobility Radeon HD 5650
+		1025 0311  Mobility Radeon HD 5650
+		1025 0312  Mobility Radeon HD 5650
+		1025 031c  Mobility Radeon HD 5650
+		1025 031d  Mobility Radeon HD 5650
 		1025 033d  Mobility Radeon HD 5650
+		1025 033e  Mobility Radeon HD 5650
+		1025 033f  Mobility Radeon HD 5650
+		1025 0346  Mobility Radeon HD 5650
 		1025 0347  Aspire 7740G
+		1025 0348  Mobility Radeon HD 5650
+		1025 0356  Mobility Radeon HD 5650
+		1025 0357  Mobility Radeon HD 5650
+		1025 0358  Mobility Radeon HD 5650
+		1025 0359  Mobility Radeon HD 5650
+		1025 035a  Mobility Radeon HD 5650
+		1025 035b  Mobility Radeon HD 5650
+		1025 035c  Mobility Radeon HD 5650
+		1025 035d  Mobility Radeon HD 5650
+		1025 035e  Mobility Radeon HD 5650
+		1025 0360  Mobility Radeon HD 5650
+		1025 0362  Mobility Radeon HD 5650
+		1025 0364  Mobility Radeon HD 5650
+		1025 0365  Mobility Radeon HD 5650
+		1025 0366  Mobility Radeon HD 5650
+		1025 0367  Mobility Radeon HD 5650
+		1025 0368  Mobility Radeon HD 5650
+		1025 036c  Mobility Radeon HD 5650
+		1025 036d  Mobility Radeon HD 5650
+		1025 036e  Mobility Radeon HD 5650
+		1025 036f  Mobility Radeon HD 5650
+		1025 0372  Mobility Radeon HD 5650
+		1025 0373  Mobility Radeon HD 5650
+		1025 0377  Mobility Radeon HD 5650
+		1025 0378  Mobility Radeon HD 5650
+		1025 0379  Mobility Radeon HD 5650
+		1025 037a  Mobility Radeon HD 5650
+		1025 037b  Mobility Radeon HD 5650
+		1025 037e  Mobility Radeon HD 5650
+		1025 037f  Mobility Radeon HD 5650
+		1025 0382  Mobility Radeon HD 5650
+		1025 0383  Mobility Radeon HD 5650
+		1025 0384  Mobility Radeon HD 5650
+		1025 0385  Mobility Radeon HD 5650
+		1025 0386  Mobility Radeon HD 5650
+		1025 0387  Mobility Radeon HD 5650
+		1025 0388  Mobility Radeon HD 5650
+		1025 038b  Mobility Radeon HD 5650
+		1025 038c  Mobility Radeon HD 5650
+		1025 039a  Mobility Radeon HD 5650
+		1025 0411  Mobility Radeon HD 5650
+		1025 0412  Mobility Radeon HD 5650
+		1025 0418  Mobility Radeon HD 5650
+		1025 0419  Mobility Radeon HD 5650
+		1025 0420  Mobility Radeon HD 5650
+		1025 0421  Mobility Radeon HD 5650
+		1025 0425  Mobility Radeon HD 5650
+		1025 042a  Mobility Radeon HD 5650
+		1025 042e  Mobility Radeon HD 5650
+		1025 042f  Mobility Radeon HD 5650
+		1025 0432  Mobility Radeon HD 5650
+		1025 0433  Mobility Radeon HD 5650
+		1025 0442  Mobility Radeon HD 5650
+		1025 044c  Mobility Radeon HD 5650
+		1025 044e  Mobility Radeon HD 5650
+		1025 0451  Mobility Radeon HD 5650
+		1025 0454  Mobility Radeon HD 5650
+		1025 0455  Mobility Radeon HD 5650
+		1025 0475  Mobility Radeon HD 5650
+		1025 0476  Mobility Radeon HD 5650
+		1025 0487  Mobility Radeon HD 5650
+		1025 0489  Mobility Radeon HD 5650
+		1025 0498  Mobility Radeon HD 5650
+		1025 0517  Radeon HD 6550M
+		1025 051a  Radeon HD 6550M
+		1025 051b  Radeon HD 6550M
+		1025 051c  Radeon HD 6550M
+		1025 051d  Radeon HD 6550M
+		1025 0525  Radeon HD 6550M
+		1025 0526  Radeon HD 6550M
+		1025 052b  Radeon HD 6550M
+		1025 052c  Radeon HD 6550M
+		1025 053c  Radeon HD 6550M
+		1025 053d  Radeon HD 6550M
+		1025 053e  Radeon HD 6550M
+		1025 053f  Radeon HD 6550M
+		1025 0607  Radeon HD 6550M
+		1028 041b  Mobility Radeon HD 5650
+		1028 0447  Mobility Radeon HD 5650
+		1028 0448  Mobility Radeon HD 5650
+		1028 0456  Mobility Radeon HD 5650
+		1028 0457  Mobility Radeon HD 5650
+		103c 1436  Mobility Radeon HD 5650
+		103c 1437  Mobility Radeon HD 5650
+		103c 1440  Mobility Radeon HD 5650
+		103c 1448  Mobility Radeon HD 5650
+		103c 1449  Mobility Radeon HD 5650
+		103c 144a  Mobility Radeon HD 5650
+		103c 144b  Mobility Radeon HD 5650
+		103c 147b  Mobility Radeon HD 5650
+		103c 149c  Mobility Radeon HD 5650
+		103c 149e  Mobility Radeon HD 5650
 		103c 1521  Madison Pro [FirePro M5800]
-	68c7  Pinewood [Radeon HD 5570]
-	68c8  FirePro V4800
-	68d8  Redwood [Radeon HD 5670]
-	68d9  Redwood PRO [Radeon HD 5500 Series]
-	68da  Redwood PRO [Radeon HD 5500 Series]
-	68e0  Manhattan [Mobility Radeon HD 5400 Series]
+		1043 1bc2  Mobility Radeon HD 5650
+		104d 9071  Mobility Radeon HD 5650
+		104d 9077  Mobility Radeon HD 5650
+		104d 9081  Mobility Radeon HD 5650
+		1179 fd00  Mobility Radeon HD 5650
+		1179 fd12  Mobility Radeon HD 5650
+		1179 fd1a  Mobility Radeon HD 5650
+		1179 fd30  Mobility Radeon HD 5650
+		1179 fd31  Mobility Radeon HD 5650
+		1179 fd50  Mobility Radeon HD 5650
+		1179 fd52  Radeon HD 6530M
+		1179 fd63  Radeon HD 6530M
+		1179 fd65  Radeon HD 6530M
+		1179 fdd0  Mobility Radeon HD 5650
+		1179 fdd2  Radeon HD 6530M
+		144d c07e  Mobility Radeon HD 5650
+		144d c085  Mobility Radeon HD 5650
+		14c0 0043  Mobility Radeon HD 5650
+		14c0 004d  Mobility Radeon HD 5650
+		17aa 3928  Mobility Radeon HD 5650
+		17aa 3951  Mobility Radeon HD 5650
+		17aa 3977  Radeon HD 6550M
+	68c7  Madison [Mobility Radeon HD 5570/6550A]
+		1462 2241  Mobility Radeon HD 5570
+		1462 2243  Mobility Radeon HD 5570
+		1462 2244  Mobility Radeon HD 5570
+		1462 2245  Radeon HD 6550A
+		1462 2246  Radeon HD 6550A
+	68c8  Redwood XT GL [FirePro V4800]
+	68c9  Redwood PRO GL [FirePro V3800]
+	68d8  Redwood XT [Radeon HD 5670/5690/5730]
+		1028 68e0  Radeon HD 5670
+		174b 5690  Radeon HD 5690
+		174b 5730  Radeon HD 5730
+		174b e151  Radeon HD 5670
+		1787 3000  Radeon HD 5730
+		17af 3010  Radeon HD 5730
+		17af 3011  Radeon HD 5690
+	68d9  Redwood PRO [Radeon HD 5550/5570/5630/6510/6610/7570]
+		103c 6870  Radeon HD 5570
+		103c 6872  Radeon HD 5570
+		1043 03ce  Radeon HD 5550
+		1462 2151  Radeon HD 5570
+		1462 2240  Radeon HD 5570
+		148c 3000  Radeon HD 6510
+		148c 3001  Radeon HD 6610
+		1545 5550  Radeon HD 5550
+		1545 7570  Radeon HD 7570
+		1642 3985  Radeon HD 5570
+		1642 3996  Radeon HD 5570
+		174b 3000  Radeon HD 6510
+		174b 6510  Radeon HD 6510
+		174b 6610  Radeon HD 6610
+		174b e142  Radeon HD 5570
+		1787 3000  Radeon HD 6510
+		17af 3000  Radeon HD 6510
+		17af 3010  Radeon HD 5630
+	68da  Redwood LE [Radeon HD 5550/5570/5630/6390/6490/7570]
+		148c 3000  Radeon HD 6390
+		148c 3001  Radeon HD 6490
+		1545 7570  Radeon HD 7570
+		174b 3000  Radeon HD 6390
+		174b 5570  Radeon HD 5570
+		174b 5630  Radeon HD 5630
+		174b 6490  Radeon HD 6490
+		1787 3000  Radeon HD 5630
+		17af 3000  Radeon HD 6390
+		17af 3010  Radeon HD 5630
+	68de  Redwood
+	68e0  Park [Mobility Radeon HD 5430/5450/5470]
+		1028 0404  Mobility Radeon HD 5450
+		1028 0414  Mobility Radeon HD 5450
+		1028 0434  Mobility Radeon HD 5450
+		103c 1433  Mobility Radeon HD 5450
+		103c 1434  Mobility Radeon HD 5450
+		103c 1469  Mobility Radeon HD 5450
+		103c 146b  Mobility Radeon HD 5450
 		103c 1486  TouchSmart tm2-2050er discrete GPU (Mobility Radeon HD 5450)
-	68e1  Manhattan [Mobility Radeon HD 5430 Series]
-	68e4  Robson CE [AMD Radeon HD 6300 Series]
-	68e5  Robson LE [AMD Radeon HD 6300M Series]
-	68f1  Cedar [FirePro 2460]
-	68f2  Cedar [FirePro 2270]
-	68f9  Cedar PRO [Radeon HD 5450]
+		103c 1622  Mobility Radeon HD 5450
+		103c 1623  Mobility Radeon HD 5450
+		103c eeee  Mobility Radeon HD 5450
+		104d 9076  Mobility Radeon HD 5450
+		1682 304e  Caicos [Radeon HD 5450]
+		1682 6000  Caicos [Radeon HD 5450]
+		17aa 9e52  FirePro M3800
+		17aa 9e53  FirePro M3800
+	68e1  Park [Mobility Radeon HD 5430]
+		1043 041f  Caicos [Radeon HD 7350]
+		1043 3000  Caicos [Radeon HD 5450]
+		148c 3000  Caicos [Radeon HD 5450]
+		148c 3001  Caicos [Radeon HD 6230]
+		148c 3002  Caicos [Radeon HD 6250]
+		148c 3003  Caicos [Radeon HD 6350]
+		148c 7350  Caicos [Radeon HD 7350]
+		148c 8350  Caicos [Radeon HD 8350]
+		1545 5450  Caicos [Radeon HD 5450]
+		1545 7350  Caicos [Radeon HD 7350]
+		1682 3000  Caicos [Radeon HD 5450]
+		1682 6000  Caicos [Radeon HD 5450]
+		1682 7350  Caicos [Radeon HD 7350]
+		174b 3000  Caicos [Radeon HD 5450]
+		174b 5470  Caicos [Radeon HD 5470]
+		174b 6000  Caicos [Radeon HD 5450]
+		174b 6230  Caicos [Radeon HD 6230]
+		174b 6350  Caicos [Radeon HD 6350]
+		174b 7350  Caicos [Radeon HD 7350]
+		1787 3000  Caicos [Radeon HD 5450]
+		17af 3000  Caicos [Radeon HD 5450]
+		17af 3001  Caicos [Radeon HD 6230]
+		17af 3014  Caicos [Radeon HD 6350]
+		17af 3015  Caicos [Radeon HD 7350]
+		17af 8350  Caicos [Radeon HD 8350 OEM]
+	68e4  Robson CE [Radeon HD 6370M/7370M]
+		1019 2386  Radeon HD 6350M
+		1019 2387  Radeon HD 6350M
+		1019 238d  Radeon HD 6370M
+		1019 238e  Radeon HD 6370M
+		1025 0382  Radeon HD 6370M
+		1025 0489  Radeon HD 6370M
+		1025 048a  Radeon HD 6370M
+		1025 048b  Radeon HD 6370M
+		1025 048c  Radeon HD 6370M
+		1028 04c1  Radeon HD 6370M
+		1028 04ca  Radeon HD 6370M
+		1028 04cc  Radeon HD 6370M
+		1028 04cd  Radeon HD 6370M
+		1028 04d7  Radeon HD 6370M
+		103c 1411  Radeon HD 6370M
+		103c 1421  Radeon HD 6370M
+		103c 1426  Radeon HD 6370M
+		103c 1428  Radeon HD 6370M
+		103c 142a  Radeon HD 6370M
+		103c 142b  Radeon HD 6370M
+		103c 143a  Radeon HD 6370M
+		103c 143c  Radeon HD 6370M
+		103c 1445  Radeon HD 6370M
+		103c 162c  Radeon HD 6370M
+		103c 162d  Radeon HD 6370M
+		103c 162e  Radeon HD 6370M
+		103c 162f  Radeon HD 6370M
+		103c 1639  Radeon HD 6370M
+		103c 163a  Radeon HD 6370M
+		103c 163b  Radeon HD 6370M
+		103c 163c  Radeon HD 6370M
+		103c 163d  Radeon HD 6370M
+		103c 163e  Radeon HD 6370M
+		103c 163f  Radeon HD 6370M
+		103c 1641  Radeon HD 6370M
+		103c 1643  Radeon HD 6370M
+		103c 3578  Radeon HD 6370M
+		103c 357a  Radeon HD 6370M
+		103c 3673  Radeon HD 6370M
+		103c 3675  Radeon HD 6370M
+		1043 1c92  Radeon HD 6370M
+		1043 84a1  Radeon HD 6370M
+		1043 84ad  Radeon HD 6370M
+		104d 9081  Radeon HD 6370M
+		1545 7350  Cedar [Radeon HD 7350]
+		1558 4510  Radeon HD 6370M
+		1558 5505  Radeon HD 6370M
+		174b 5450  Cedar [Radeon HD 5450]
+		17aa 21dd  Radeon HD 6370M
+		17aa 21e9  Radeon HD 6370M
+		17aa 3971  Radeon HD 6370M
+		17aa 3972  Radeon HD 7370M
+		17aa 397a  Radeon HD 6370M/7370M
+		17aa 397b  Radeon HD 6370M/7370M
+		17aa 397f  Radeon HD 7370M
+	68e5  Robson LE [Radeon HD 6330M]
+		1179 fd3c  Radeon HD 6330M
+		1179 fd50  Radeon HD 6330M
+		1179 fd52  Radeon HD 6330M
+		1179 fd63  Radeon HD 6330M
+		1179 fd65  Radeon HD 6330M
+		1179 fd73  Radeon HD 6330M
+		1179 fd75  Radeon HD 6330M
+		1179 fdd0  Radeon HD 6330M
+		1179 fdd2  Radeon HD 6330M
+		1179 fdea  Radeon HD 6330M
+		1179 fdf8  Radeon HD 6330M
+		148c 5450  Cedar [Radeon HD 5450]
+		148c 6350  Cedar [Radeon HD 6350]
+		148c 7350  Cedar [Radeon HD 7350]
+		148c 8350  Cedar [Radeon HD 8350]
+		1545 7350  Cedar [Radeon HD 7350]
+	68e8  Cedar
+	68e9  Cedar [ATI FirePro (FireGL) Graphics Adapter]
+	68f1  Cedar GL [FirePro 2460]
+	68f2  Cedar GL [FirePro 2270]
+	68f8  Cedar [Radeon HD 7300 Series]
+	68f9  Cedar [Radeon HD 5000/6000/7350/8350 Series]
+		1019 0001  Radeon HD 5450
+		1019 0002  Radeon HD 5450
+		1019 0019  Radeon HD 6350
+		1025 0518  Radeon HD 5450
+		1025 0519  Radeon HD 5450
 		1028 010e  XPS 8300
-	68fa  EG Cedar [Radeon HD 7300 Series]
-	700f  PCI Bridge [IGP 320M]
-	7010  PCI Bridge [IGP 340M]
-	7100  R520 [Radeon X1800]
-	7102  M58 [Radeon Mobility X1800]
-	7103  M58 [Mobility FireGL V7200]
-	7104  R520GL [FireGL V7200] (Primary)
-	7105  R520 [FireGL]
-	7106  M58 [Mobility FireGL V7100]
-	7108  M58 [Radeon Mobility X1800]
-	7109  R520 [Radeon X1800]
+		1028 2126  Radeon HD 6350
+		103c 2126  Radeon HD 6350
+		103c 2aac  Radeon HD 5450
+		103c 2aae  Radeon HD 5450
+		103c 3580  Radeon HD 5450
+		1043 03c2  EAH5450 SILENT/DI/512MD2 (LP)
+		1462 2130  Radeon HD 5450
+		1462 2131  Radeon HD 5450
+		1462 2133  Radeon HD 6350
+		1462 2180  Radeon HD 5450
+		1462 2181  Radeon HD 5450
+		1462 2182  Radeon HD 6350
+		1462 2183  Radeon HD 6350
+		1462 2230  Radeon HD 5450
+		1462 2231  Radeon HD 5450
+		1462 2495  Radeon HD 6350
+		148c 3001  Radeon HD 5530/6250
+		148c 3002  Radeon HD 6290
+		148c 3003  Radeon HD 6230
+		148c 3004  Radeon HD 6350
+		148c 7350  Radeon HD 7350
+		148c 8350  Radeon HD 8350
+		1545 7350  Radeon HD 7350
+		1642 3983  Radeon HD 5450
+		1642 3984  Radeon HD 6350
+		1642 3987  Radeon HD 6350
+		1642 3997  Radeon HD 5450
+		1642 3a05  Radeon HD 5450
+		1642 3b31  Radeon HD 6350A
+		1682 3270  Radeon HD 7350
+		174b 3000  Radeon HD 6230
+		174b 3987  Radeon HD 6350
+		174b 5470  Radeon HD 5470
+		174b 5490  Radeon HD 5490
+		174b 5530  Radeon HD 5530
+		174b 6230  Radeon HD 6230
+		174b 6250  Radeon HD 6250
+		174b 6290  Radeon HD 6290
+		174b 6350  Radeon HD 6350
+		174b 7350  Radeon HD 7350
+		174b 8350  Radeon HD 8350
+		174b e127  Radeon HD 5450
+		174b e145  Radeon HD 5450
+		174b e153  Radeon HD 5450
+		1787 3000  Radeon HD 5470
+		1787 3001  Radeon HD 5530
+		1787 3002  Radeon HD 5490
+		17aa 3602  Radeon HD 5450
+		17aa 3603  Radeon HD 5450
+		17aa 360f  Radeon HD 5450
+		17aa 3619  Radeon HD 5450
+		17af 3000  Radeon HD 6250
+		17af 3001  Radeon HD 6230
+		17af 3002  Radeon HD 6290
+		17af 3011  Radeon HD 5470
+		17af 3012  Radeon HD 5490
+		17af 3013  Radeon HD 5470
+		17af 3014  Radeon HD 6350
+	68fa  Cedar [Radeon HD 7350/8350]
+		1019 0019  Radeon HD 7350
+		1019 0021  Radeon HD 7350
+		1019 0022  Radeon HD 7350
+		1019 0026  Radeon HD 8350
+		103c 2adf  Radeon HD 7350A
+		103c 2ae8  Radeon HD 7350A
+		1043 8350  Radeon HD 8350
+		1462 2128  Radeon HD 7350
+		1462 2184  Radeon HD 7350
+		1462 2186  Radeon HD 7350
+		1462 2495  Radeon HD 7350
+		1462 b490  Radeon HD 7350
+		1642 3985  Radeon HD 7350
+		174b 7350  Radeon HD 7350
+		174b 8153  Radeon HD 8350
+		174b e127  Radeon HD 7350
+		174b e153  Radeon HD 7350
+		174b e180  Radeon HD 7350
+		17af 3015  Radeon HD 7350
+	68fe  Cedar LE
+	6920  Tonga
+	700f  RS100 AGP Bridge
+	7010  RS200/RS250 AGP Bridge
+	7100  R520 [Radeon X1800 XT]
+	7101  R520/M58 [Mobility Radeon X1800 XT]
+	7102  R520/M58 [Mobility Radeon X1800]
+	7104  R520 GL [FireGL V7200]
+	7109  R520 [Radeon X1800 XL]
 		1002 0322  All-in-Wonder X1800XL
 		1002 0d02  Radeon X1800 CrossFire Edition
-	710a  R520 [Radeon X1800]
-	710b  R520 [Radeon X1800]
-	710c  R520 [Radeon X1800]
+	710a  R520 [Radeon X1800 GTO]
+		1002 0b12  Radeon X1800 GTO²
+	710b  R520 [Radeon X1800 GTO]
 	7120  R520 [Radeon X1800] (Secondary)
-	7124  R520GL [FireGL V7200] (Secondary)
+	7124  R520 GL [FireGL V7200] (Secondary)
 	7129  R520 [Radeon X1800] (Secondary)
-		1002 0323  All-in-Wonder X1800XL (Secondary)
+		1002 0323  All-In-Wonder X1800 XL (Secondary)
 		1002 0d03  Radeon X1800 CrossFire Edition (Secondary)
-	7140  RV515 [Radeon X1600]
+	7140  RV515 [Radeon X1300/X1550/X1600 Series]
 	7142  RV515 PRO [Radeon X1300/X1550 Series]
 		1002 0322  All-in-Wonder 2006 PCI-E Edition
 		1043 0142  EAX1300PRO/TD/256M
-	7143  RV505 [Radeon X1550 Series]
-	7145  Radeon Mobility X1400
+	7143  RV505 [Radeon X1300/X1550 Series]
+	7145  RV515/M54 [Mobility Radeon X1400]
 		17aa 2006  Thinkpad T60 model 2007
-	7146  RV515 [Radeon X1300]
+	7146  RV515 [Radeon X1300/X1550]
 		1002 0322  All-in-Wonder 2006 PCI-E Edition
 		1545 1996  Radeon X1300 512MB PCI-e
 	7147  RV505 [Radeon X1550 64-bit]
-	7149  M52 [Mobility Radeon X1300]
-	714a  M52 [Mobility Radeon X1300]
-	714b  M52 [Mobility Radeon X1300]
-	714c  M52 [Mobility Radeon X1300]
-	714d  RV515 [Radeon X1300]
-	714e  RV515LE [Radeon X1300]
-	7152  RV515GL [FireGL V3300] (Primary)
-	7153  RV515GL [FireGL V3350]
-	715e  RV515 [Radeon X1300]
+	7149  RV515/M52 [Mobility Radeon X1300]
+	714a  RV515/M52 [Mobility Radeon X1300]
+	7152  RV515 GL [FireGL V3300]
+	7153  RV515 GL [FireGL V3350]
 	715f  RV505 CE [Radeon X1550 64-bit]
 	7162  RV515 PRO [Radeon X1300/X1550 Series] (Secondary)
 		1002 0323  All-in-Wonder 2006 PCI-E Edition (Secondary)
 	7163  RV505 [Radeon X1550 Series] (Secondary)
-	7166  RV515 [Radeon X1300] (Secondary)
+	7166  RV515 [Radeon X1300/X1550 Series] (Secondary)
 		1002 0323  All-in-Wonder 2006 PCI-E Edition (Secondary)
 		1545 1997  Radeon X1300 512MB PCI-e (Secondary)
 	7167  RV515 [Radeon X1550 64-bit] (Secondary)
-	716e  RV515LE [Radeon X1300] Secondary
-	7172  RV515GL [FireGL V3300] (Secondary)
-	7173  RV515GL [FireGL V3350] (Secondary)
-	7180  RV516 [Radeon X1300/X1550 Series]
-	7181  RV516 XT Radeon X1600 Series (Primary)
+	7172  RV515 GL [FireGL V3300] (Secondary)
+	7173  RV515 GL [FireGL V3350] (Secondary)
+	7181  RV516 [Radeon X1600/X1650 Series]
 	7183  RV516 [Radeon X1300/X1550 Series]
-	7186  RV515 [Radeon Mobility X1450]
+	7186  RV516/M64 [Mobility Radeon X1450]
 	7187  RV516 [Radeon X1300/X1550 Series]
-	7188  M64-S [Mobility Radeon X2300]
+	7188  RV516/M64-S [Mobility Radeon X2300]
 		103c 30c1  6910p
-	718a  Mobility Radeon X2300
-	718c  M62CSP64 [Mobility Radeon X1350]
-	718d  M64CSP128 [Mobility Radeon X1450]
+	718a  RV516/M64 [Mobility Radeon X2300]
+	718b  RV516/M62 [Mobility Radeon X1350]
+	718c  RV516/M62-CSP64 [Mobility Radeon X1350]
+	718d  RV516/M64-CSP128 [Mobility Radeon X1450]
 	7193  RV516 [Radeon X1550 Series]
-	7196  RV516 [Mobility Radeon X1350]
-	719b  FireMV 2250
-	719f  RV516LE [Radeon X1550 64-bit]
+	7196  RV516/M62-S [Mobility Radeon X1350]
+	719b  RV516 GL [FireMV 2250]
+	719f  RV516 [Radeon X1550 Series]
 	71a0  RV516 [Radeon X1300/X1550 Series] (Secondary)
-	71a1  RV516 XT Radeon X1600 Series (Secondary)
-	71a3  RV516 [Radeon X1300 Pro] (Secondary)
+	71a1  RV516 [Radeon X1600/X1650 Series] (Secondary)
+	71a3  RV516 [Radeon X1300/X1550 Series] (Secondary)
 	71a7  RV516 [Radeon X1300/X1550 Series] (Secondary)
-	71bb  FireMV 2250 (Secondary)
-	71c0  RV530 [Radeon X1600]
-	71c1  Radeon X1650 Pro
-	71c2  RV530 [Radeon X1600]
-	71c4  M56GL [Mobility FireGL V5200]
+	71bb  RV516 GL [FireMV 2250] (Secondary)
+	71c0  RV530 [Radeon X1600 XT/X1650 GTO]
+		1002 e160  Radeon X1650 GTO
+		174b e160  Radeon X1650 GTO
+	71c1  RV535 [Radeon X1650 PRO]
+		174b 0880  Radeon X1700 FSC
+	71c2  RV530 [Radeon X1600 PRO]
+	71c4  RV530/M56 GL [Mobility FireGL V5200]
 		17aa 2007  ThinkPad T60p
-	71c5  M56P [Radeon Mobility X1600]
+	71c5  RV530/M56-P [Mobility Radeon X1600]
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a3  Compaq NW8440
 		1043 10b2  A6J-Q008
 		106b 0080  MacBook Pro
 	71c6  RV530LE [Radeon X1600/X1650 PRO]
-	71c7  RV535 [Radeon X1650 Series]
-	71ce  RV530LE [Radeon X1600]
-	71d2  RV530GL [FireGL V3400]
-	71d4  M66GL [ATI Mobility FireGL V5250]
-	71d5  M66-P [Mobility Radeon X1700]
-	71d6  M66-XT [Mobility Radeon X1700]
-	71de  RV530LE [Radeon X1600]
+	71c7  RV535 [Radeon X1650 PRO]
+		1787 3000  PowerColor X1650 PRO AGP
+	71ce  RV530 [Radeon X1300 XT/X1600 PRO]
+	71d2  RV530 GL [FireGL V3400]
+	71d4  RV530/M66 GL [Mobility FireGL V5250]
+	71d5  RV530/M66-P [Mobility Radeon X1700]
+	71d6  RV530/M66-XT [Mobility Radeon X1700]
+	71de  RV530/M66 [Mobility Radeon X1700/X2500]
 	71e0  RV530 [Radeon X1600] (Secondary)
-	71e1  Radeon X1650 Pro (Secondary)
+		174b e161  Radeon X1600 GTO (Secondary)
+	71e1  RV535 [Radeon X1650 PRO] (Secondary)
+		174b 0881  Radeon X1700 FSC (Secondary)
 	71e2  RV530 [Radeon X1600] (Secondary)
-	71e6  RV530LE [Radeon X1650 PRO] (Secondary)
-	71e7  RV535 [Radeon X1650 Series]
-	71f2  RV530GL [FireGL V3400 (Secondary)]
-	7210  M71 [Mobility Radeon X2100]
-	7211  M71 [Mobility Radeon X2100] (Secondary)
-	7240  R580 [Radeon X1900]
-	7241  R580 [Radeon X1900]
-	7242  R580 [Radeon X1900]
-	7243  R580 [Radeon X1900]
-	7244  R580 [Radeon X1900]
-	7245  R580 [Radeon X1900]
-	7246  R580 [Radeon X1900]
-	7247  R580 [Radeon X1900]
-	7248  R580 [Radeon X1900]
-	7249  R580 [Radeon X1900 XT] (Primary)
-	724a  R580 [Radeon X1900]
-	724b  R580 [Radeon X1900]
+	71e6  RV530 [Radeon X1650] (Secondary)
+	71e7  RV535 [Radeon X1650 PRO] (Secondary)
+		1787 3001  Radeon X1650 PRO AGP
+	71f2  RV530 GL [FireGL V3400] (Secondary)
+	7210  RV550/M71 [Mobility Radeon HD 2300]
+	7211  RV550/M71 [Mobility Radeon X2300 HD]
+	7240  R580+ [Radeon X1950 XTX]
+		1002 0d02  Radeon X1950 CrossFire Edition
+	7244  R580+ [Radeon X1950 XT]
+	7248  R580 [Radeon X1950]
+	7249  R580 [Radeon X1900 XT]
+		1002 0412  All-In-Wonder X1900
+		1002 0b12  Radeon X1900 XT/XTX
+		1002 0d02  Radeon X1900 CrossFire Edition
+		1043 0160  Radeon X1900 XTX 512 MB GDDR3
+	724b  R580 [Radeon X1900 GT]
 		1002 0b12  Radeon X1900 (Primary)
 		1002 0b13  Radeon X1900 (Secondary)
-	724c  R580 [Radeon X1900]
-	724d  R580 [Radeon X1900]
-	724e  R580 [AMD Stream Processor]
+	724e  R580 GL [FireGL V7350]
 	7269  R580 [Radeon X1900 XT] (Secondary)
-	726b  R580 [Radeon X1900]
+	726b  R580 [Radeon X1900 GT] (Secondary)
 	726e  R580 [AMD Stream Processor] (Secondary)
-	7280  RV570 [Radeon X1950 Pro]
-	7288  Radeon X1950 GT
-	7291  Radeon X1650 XT (Primary) (PCIE)
-	7293  Radeon X1650 Series
-	72a0  RV570 [Radeon X1950 Pro] (secondary)
-	72a8  Radeon X1950 GT (Secondary)
-	72b1  Radeon X1650 XT (Secondary) (PCIE)
-	72b3  Radeon X1650 Series (Secondary)
-	7833  Radeon 9100 IGP Host Bridge
-	7834  Radeon 9100 PRO IGP
-	7835  Radeon Mobility 9200 IGP
-	7838  Radeon 9100 IGP PCI/AGP Bridge
+	7280  RV570 [Radeon X1950 PRO]
+	7288  RV570 [Radeon X1950 GT]
+	7291  RV560 [Radeon X1650 XT]
+		1462 0810  Radeon X1700 SE
+	7293  RV560 [Radeon X1650 GT]
+	72a0  RV570 [Radeon X1950 PRO] (Secondary)
+	72a8  RV570 [Radeon X1950 GT] (Secondary)
+	72b1  RV560 [Radeon X1650 XT] (Secondary)
+	72b3  RV560 [Radeon X1650 GT] (Secondary)
+	7833  RS350 Host Bridge
+	7834  RS350 [Radeon 9100 PRO/XT IGP]
+	7835  RS350M [Mobility Radeon 9000 IGP]
+	7838  RS350 AGP Bridge
 	7910  RS690 Host Bridge
 		1179 ff50  Satellite P305D-S8995E
 		17f2 5000  KI690-AM2 Motherboard
